plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
}


android {
    namespace 'io.trtc.tuikit.atomicx'
    compileSdk libs.versions.compileSdk.get().toInteger()

    defaultConfig {
        minSdk libs.versions.minSdk.get().toInteger()
        targetSdk libs.versions.targetSdk.get().toInteger()
        resConfigs "zh", "en", "in"

        versionName "1.0"
        versionCode 1
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = JavaVersion.VERSION_17.majorVersion
    }

    sourceSets {
        main {
            res.srcDirs = [
                    'src/main/res',
                    'src/main/res-karaoke',
                    'src/main/res-callview',
            ]
        }
    }
}

dependencies {
    implementation libs.androidx.appcompat
    implementation libs.androidx.constraint.layout
    implementation libs.androidx.recyclerview

    api libs.android.material
    api libs.androidx.core.ktx
    api libs.kotlinx.coroutines.android

    api libs.gson
    api libs.glide

    api libs.tencent.atomic.x
    api libs.tencent.uikit.common
    api libs.tencent.tui.core
}
